Bug 58016 - syntax error causes g++ internal error
Summary: syntax error causes g++ internal error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-05 21:08 UTC by Wagner T. Correa
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 01:09:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wagner T. Correa 2002-01-05 21:08:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13smp i686)

Description of problem:
The following piece of code contains a syntax error that causes g++ to dump
core with an itnernal error:

template <class T>
class foo {
	struct bar {
		bar();
	};
};

template <class T>
void foo<T>::bar::bar()
{
}


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Just compile the code above.
	

Additional info:

Just remove the 'void' before the definition of bar::bar(), and the code
compiles fine.

gcc-2.96-98

Comment 1 Alan Cox 2002-12-15 19:02:33 UTC
Confirmed still present in 8.0


Comment 2 Richard Henderson 2004-10-02 01:09:13 UTC
ICE persists through gcc 3.3, but fixed with gcc 3.4 c++ parser rewrite.


Note You need to log in before you can comment on or make changes to this bug.